JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Macros | Typedefs
juce_MessageManager.h File Reference

## Classes
class | MessageManager
| This class is in charge of the application's event-dispatch loop. More...
class | MessageManager::MessageBase
| Internal class used as the base class for all message objects. More...
class | MessageManager::Lock
| A lock you can use to lock the message manager. More...
class | MessageManagerLock
| Used to make sure that the calling thread has exclusive access to the message loop. More...

## Macros
#define | JUCE_ASSERT_MESSAGE_MANAGER_IS_LOCKED jassert (juce::MessageManager::existsAndIsLockedByCurrentThread());
| This macro is used to catch unsafe use of functions which expect to only be called on the message thread, or when a MessageManagerLock is in place.
#define | JUCE_ASSERT_MESSAGE_THREAD jassert (juce::MessageManager::existsAndIsCurrentThread());
| This macro is used to catch unsafe use of functions which expect to only be called on the message thread.
#define | JUCE_ASSERT_MESSAGE_MANAGER_EXISTS jassert (juce::MessageManager::getInstanceWithoutCreating() != nullptr);
| This macro is used to catch unsafe use of functions which expect to not be called outside the lifetime of the MessageManager.

## Typedefs
using | MessageCallbackFunction = void* (void* userData)
| See MessageManager::callFunctionOnMessageThread() for use of this function type.